play.test

## Class TestEngine.TestResult

- java.lang.Object
- - play.test.TestEngine.TestResult

Enclosing class:
  TestEngine

    public static class TestEngine.TestResult
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `error`
`java.lang.String` `name`
`boolean` `passed`
`java.lang.String` `sourceCode`
`java.lang.String` `sourceFile`
`java.lang.String` `sourceInfos`
`int` `sourceLine`
`long` `time`
`java.lang.String` `trace`

### Constructor Summary

Constructors
Constructor and Description
`TestResult()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public java.lang.String name

#### error

    public java.lang.String error

#### passed

    public boolean passed

#### time

    public long time

#### trace

    public java.lang.String trace

#### sourceInfos

    public java.lang.String sourceInfos

#### sourceCode

    public java.lang.String sourceCode

#### sourceFile

    public java.lang.String sourceFile

#### sourceLine

    public int sourceLine

### Constructor Detail

#### TestResult

    public TestResult()